lfnetwork.com mark read register faq members calendar

Thread: Download 1.03a Here
Thread Tools Display Modes
Post a new thread. Add a reply to this thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Old 06-09-2002, 04:40 PM   #1
Soldier2200
 
Join Date: Jun 2002
Posts: 10
Download 1.03a Here

I've noticed quite a few posts in the past few days asking where to download 1.03a. If you're one of those people, here ya go!!
[ For you guys that already have it, got any other mirrors? Thx ]

http://www.3ddownloads.com/?file_id=160466

Happy Huntin!
-Soldier2200


---------------------------------
---------------------------------
---------------------------------


UPDATE:
Oops! Sorry for the confusion, this patch is ONLY for server admins! Players do NOT need to download this patch to play on any 1.03a servers!

And here is a 1.03a server, the first 1.03a server. Thanks to WD
166.90.203.203:28070


-Soldier2200


-Soldier2200

Last edited by Soldier2200; 06-09-2002 at 05:36 PM.
Soldier2200 is offline   you may: quote & reply,
Old 06-09-2002, 04:46 PM   #2
Woodster2003
 
Join Date: Mar 2002
Posts: 88
Are there any servers that actually run 1.03a? If there are then i will dload it.
Woodster2003 is offline   you may: quote & reply,
Old 06-09-2002, 04:48 PM   #3
Dark_One
 
Dark_One's Avatar
 
Join Date: Apr 2002
Location: Belgium
Posts: 289
Duh almost every server runs on that patch.
Dark_One is offline   you may: quote & reply,
Old 06-09-2002, 05:14 PM   #4
els.DarkLord
 
els.DarkLord's Avatar
 
Join Date: May 2002
Location: Eifel
Posts: 94
You don't *need* to download this 'patch' to play on servers using it. Every 1.03 client (you) can join an 1.03a Server.
els.DarkLord is offline   you may: quote & reply,
Old 06-09-2002, 05:16 PM   #5
GooglyMoogly
 
GooglyMoogly's Avatar
 
Join Date: Apr 2002
Posts: 142
No not every server runs it because it is not an official patch.

Raven has only released one patch and that is 1.03.

1.03a is the compiled version of the source code Raven released a week ago. It contains some changes from 1.03 and shows they were working on another patch, but they decided to release the source code instead.

My guess is that there will be very few servers that run this since it isn't a sanctioned patch. I'd be very careful about DL'ing and installing it lest you find you can't connect to any servers.
GooglyMoogly is offline   you may: quote & reply,
Old 06-09-2002, 05:50 PM   #6
G0G0GadgetForce
 
G0G0GadgetForce's Avatar
 
Join Date: Apr 2002
Posts: 86
This is my opinion.

If a server is trying to find a better alternative to the backstab strength I would try the g_saberghoul2collision 1 first before this unnofficial patch. Backstab can be blocked with it without messing with blue lunge or excessive blocking. Some of the servers I play on that had 1.03a installed and removed it after trying the c_saberghoul2collision 1 server side variable. It is recommended to leave saber trace on as it is default.
G0G0GadgetForce is offline   you may: quote & reply,
Old 06-09-2002, 06:13 PM   #7
Darth Kaan
 
Darth Kaan's Avatar
 
Join Date: May 2002
Location: Ruusan
Posts: 900
The Best alternative if you hate the 1.03 patch IMHO, is to add these lines to your jk2mpconfig.cfg file:

seta g_saberTraceSaberFirst "1"
seta g_saberGhoul2Collision "1"
seta g_dismember "100"
seta cg_dismember "3"

Have fun.

Kaan
Darth Kaan is offline   you may: quote & reply,
Old 06-09-2002, 06:39 PM   #8
NerfYoda
Grumpy Old Man
 
NerfYoda's Avatar
 
Join Date: Mar 2002
Location: WTF?
Posts: 1,258
1.03a is an official server patch. Some exploit fixes were included in the "a" release. It did nothing to gameplay at all since the 1.033 patch, and only server admins need to download it.
NerfYoda is offline   you may: quote & reply,
Old 06-09-2002, 07:47 PM   #9
els.DarkLord
 
els.DarkLord's Avatar
 
Join Date: May 2002
Location: Eifel
Posts: 94
I'll just ignore the confusing of the SDK Source 'patch' 1.03a and the dedicated Server Patch 1.03a, cause I have a problem:

While the unofficial 1.03a 'mod/patch' *IS* supposed to run as aserver side mod, I can't get it to work properly! IF I start my server with this mod (server runs allright) I can't connect because of unpreness. If I enable auto-download it *would actually download* the 1.03a mod file... thats *not* server side, but why?
It should be! Anyone had this problem as well and found a sollution? Mayvbe the saber103a pak file hast to be in a very ccertain place? right now it is located in my server's base folder

???? Help?!?!
els.DarkLord is offline   you may: quote & reply,
Old 06-09-2002, 09:14 PM   #10
You Myst
 
You Myst's Avatar
 
Join Date: May 2002
Posts: 12
why is it that everyone fails to grasp that 1.03a was released on may 15th... it was the linux patch for 1.03... if you look around at the servers and their version numbers.. EVERY linux server is running 1.03a... EVERY windows server(at least until this rumor got started) is running 1.03... the "a" stands for a version port to a non-native operating system, i.e. linux...
the mac version(if/when it gets done) is going to be(pauses for effect) 1.03b
if this rumor mongering had even a little bit of truth to it... then why is it that there arent complaints about the "2" versions of 1.03a when people play on several differant servers since linux has been running it since may 15th and this "alleged" version isnt even 2 weeks old?
You Myst is offline   you may: quote & reply,
Old 06-09-2002, 09:16 PM   #11
QuietSith
 
QuietSith's Avatar
 
Join Date: May 2002
Posts: 632
Quote:
Originally posted by Darth Kaan
The Best alternative if you hate the 1.03 patch IMHO, is to add these lines to your jk2mpconfig.cfg file:

seta g_saberTraceSaberFirst "1"
seta g_saberGhoul2Collision "1"
seta g_dismember "100"
seta cg_dismember "3"

Have fun.

Kaan
No that should be:

seta g_saberTraceSaberFirst "0"
QuietSith is offline   you may: quote & reply,
Old 06-09-2002, 10:54 PM   #12
keeef0r
 
Join Date: Apr 2002
Posts: 14
if you set cl_allowdownload to 0 on ur local client you should be able to connect to a server running what i call the Raven SDK Mod v1.03a (as apposed to the official patch 1.03a).

it appears those that have changed the default value in the config won't be able to connect unless they change it.


Keith

Jolt JK2 News and Server Admin - www.jk2.jolt.co.uk
Jolt CS Deputy Head League Admin - www.csl.jolt.co.uk

www.jolt.co.uk - Electrifying online gaming!
keeef0r is offline   you may: quote & reply,
Old 06-09-2002, 11:59 PM   #13
Darth Kaan
 
Darth Kaan's Avatar
 
Join Date: May 2002
Location: Ruusan
Posts: 900
Quote:
Originally posted by QuietSith


No that should be:

seta g_saberTraceSaberFirst "0"

Nah, I got it right.

I took a pole on my server over the last 3 days and 85% of the people playing in it agreed that leaving seta g_saberTraceSaberFirst set to "1" was better than "0"

In any event, people have different Ideas and beliefs in what "balances" the game. Because of that, Wether 0 or 1, Like with all changes to any game, it is and always will be a matter of preference.

Kaan
Darth Kaan is offline   you may: quote & reply,
Old 06-10-2002, 12:40 AM   #14
G0G0GadgetForce
 
G0G0GadgetForce's Avatar
 
Join Date: Apr 2002
Posts: 86
Believe it or not G-sabertracesaberfirst 1 is correct when the g_saberghoul2collision 1 is enabled. It has just enough blocking without being excessive like it is without ghoul2 enabled. If you dont enable ghoul2 then you should set it to 0.

Its been recommended in several places in this forum to leave both of these variables enabled for the best saber duel results. And I agree with them, it really seems much more challenging and the backstab can be blocked.

I am sorry I hadn't realized there was a linux official 1.03a. I will now refer to the raven sdk as the Raven SDK reslease mod to elliminate the confusion. BTW that mod really sux IMHO becuase it messes with the backflip lunge combo. Makes you land on your neck. You can kick roll off a wall and lunge either. They did it on purpose to get rid of the parachute effect which I agree is a bug, but they implemented the fix in the wriong way. If they wanted to stop the parachute they should have added a downward velocity and left it at that. Not make it so you cant lunge when you feet are off of the ground. I don't fully agree with the way they fixed the backstab either. Although they did do the job effectively. The should have left the spinning and made it as powerful as the three hit lunge. Instead you cant spin and its a 2 hit shot. If you try to spin it tweaks out and shakes the screen. The SDK MOD does the job, but you can do a better job with ghoul and sabertrace on using the official patch. I already convinced two servers of this after they tried it for themselves and the disabled the SDK MOD for good.
G0G0GadgetForce is offline   you may: quote & reply,
Old 06-10-2002, 12:53 PM   #15
els.DarkLord
 
els.DarkLord's Avatar
 
Join Date: May 2002
Location: Eifel
Posts: 94
Sure. it's all a matter of taste.

I wouldn't want to get away from 1.03a because i like how Raven fixed the blue lunge exploit, the turning during backstabs/sweeps, reduction of their damage. stronger heavy stance. AND of course the more tactical push/pull, that pushes you back, but not on the ground now.

I would just have loved to see this as an official patch, maybe with some changes to saber throw (take more force-power / less damage / saber 'loosable' like in SinglePlayer) and of course kick (no damage maybe?), to make them less powerfull than normal swings, so you would rather use them in special situations only, not everytime as your favourite attack.
els.DarkLord is offline   you may: quote & reply,
Old 06-10-2002, 01:27 PM   #16
Lord Nodata
 
Lord Nodata's Avatar
 
Join Date: Apr 2002
Location: Deathstar
Posts: 306
do me a favor...

Could someone PLEASE post the changes that this makes, or at least a link to the changes? Thanks in advance..


-Chaff Da-Lan, Jedi Master of the Light side of the force.
Jedi Fortress! A class-based Team modification for Jedi Outcast!
Discuss it here!
Lord Nodata is offline   you may: quote & reply,
Old 06-10-2002, 01:46 PM   #17
Kreuzader
 
Kreuzader's Avatar
 
Join Date: Apr 2002
Posts: 30
Hi, I put the package linked above together.

Lord NoData: That's the problem, we don't have the 1.03 source to compare the 1.03a SDK to, and since it's not an official patch there's no changelog that I'm aware of... all we can do is play both and compare.

Also, I'm very inclined to want clients to download this, as we're pretty sure Raven made some changes to the cgame client-side qvm code, and it would be better in the interests of stability to get clients the pk3 also. That and enough people have had problems getting on to 1.03a servers without it that I want them to have it, so everyone can play and I have peace of mind

If there are any other suggestions let me know.


:wq
Kreuzader is offline   you may: quote & reply,
Old 06-10-2002, 01:51 PM   #18
Lord Nodata
 
Lord Nodata's Avatar
 
Join Date: Apr 2002
Location: Deathstar
Posts: 306
hmmm

if the server sets:

sv_allowdownload 1


then the clients will automagicly download the new code changes...Such is the beauty of Quake.


-Chaff Da-Lan, Jedi Master of the Light side of the force.
Jedi Fortress! A class-based Team modification for Jedi Outcast!
Discuss it here!
Lord Nodata is offline   you may: quote & reply,
Post a new thread. Add a reply to this thread. Indicate all threads in this forum as read. Subscribe to this forum. RSS feed: this forum RSS feed: all forums
Go Back   LucasForums > Network > JediKnight Series > Game Discussion > Jedi Outcast > Download 1.03a Here

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 01:06 AM.

LFNetwork, LLC ©2002-2011 - All rights reserved.
Powered by vBulletin®
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.